Bug 72712 - Remove deprecated load-done signal
Summary: Remove deprecated load-done signal
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: UI Events (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-18 04:00 PST by Kaustubh Atrawalkar
Modified: 2012-11-25 21:18 PST (History)
5 users (show)

See Also:


Attachments
Patch (3.16 KB, patch)
2011-11-18 04:02 PST, Kaustubh Atrawalkar
no flags Details | Formatted Diff | Diff
Updated Patch (2.85 KB, patch)
2011-11-18 22:26 PST, Kaustubh Atrawalkar
no flags Details | Formatted Diff | Diff
Documentation FIX (1.15 KB, patch)
2011-11-21 01:25 PST, Kaustubh Atrawalkar
no flags Details | Formatted Diff | Diff
Updated Patch (2.99 KB, patch)
2012-02-23 05:08 PST, Kaustubh Atrawalkar
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kaustubh Atrawalkar 2011-11-18 04:00:37 PST
Signal load-done is deprecated. Need to remove the callbacks for the same.
Reference - http://webkitgtk.org/reference/WebKitWebFrame.html#WebKitWebFrame-load-done
Comment 1 Kaustubh Atrawalkar 2011-11-18 04:02:30 PST
Created attachment 115784 [details]
Patch

Attaching patch for the same.
Comment 2 Martin Robinson 2011-11-18 10:42:53 PST
Comment on attachment 115784 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=115784&action=review

> Source/WebKit/gtk/webkit/webkitwebframe.cpp:206
> -     * WebKitWebFrame::load-done
> +     * WebKitWebFrame::load-committed

Do you mind splitting this fix into another patch?
Comment 3 Kaustubh Atrawalkar 2011-11-18 22:25:50 PST
(In reply to comment #2)
> (From update of attachment 115784 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=115784&action=review
> 
> > Source/WebKit/gtk/webkit/webkitwebframe.cpp:206
> > -     * WebKitWebFrame::load-done
> > +     * WebKitWebFrame::load-committed
> 
> Do you mind splitting this fix into another patch?

Sure. I can do that. Attaching updated patch.
Comment 4 Kaustubh Atrawalkar 2011-11-18 22:26:31 PST
Created attachment 115930 [details]
Updated Patch
Comment 5 Kaustubh Atrawalkar 2011-11-21 01:25:01 PST
Created attachment 116049 [details]
Documentation FIX

Added documentation fix in another patch.
Comment 6 Kaustubh Atrawalkar 2011-11-21 01:25:31 PST
Martin, can u review both patches? Thanks.
Comment 7 Martin Robinson 2011-11-21 08:26:01 PST
Comment on attachment 116049 [details]
Documentation FIX

We try to do one patch per bug. If that was the case the bug description wouldn't have to contain two things. Sorry, that I didn't mention this before.
Comment 8 Kaustubh Atrawalkar 2011-11-21 22:19:26 PST
(In reply to comment #7)
> (From update of attachment 116049 [details])
> We try to do one patch per bug. If that was the case the bug description wouldn't have to contain two things. Sorry, that I didn't mention this before.

No issues. I can make this up in separate bug. Thought this one line change related to same bug would go in same patch.
Added another bug - https://bugs.webkit.org/show_bug.cgi?id=72927

Thanks.
Comment 9 Kaustubh Atrawalkar 2012-02-23 05:08:54 PST
Created attachment 128461 [details]
Updated Patch

I have updated the patch with latest revision. Also migrated load-done to load-status signal. Martin, can you review this one? Thanks.
Comment 10 Brent Fulgham 2012-11-25 21:00:19 PST
Comment on attachment 128461 [details]
Updated Patch

Looks good.
Comment 11 WebKit Review Bot 2012-11-25 21:13:14 PST
Comment on attachment 128461 [details]
Updated Patch

Clearing flags on attachment: 128461

Committed r135678: <http://trac.webkit.org/changeset/135678>
Comment 12 WebKit Review Bot 2012-11-25 21:13:19 PST
All reviewed patches have been landed.  Closing bug.
Comment 13 Martin Robinson 2012-11-25 21:18:00 PST
Changes to the GTK+ require the approval of two GTK+ port reviewers... We might want to revert this one for now.